SimpleStyleableBooleanProperty (JavaFX 17)

Module javafx.graphics
Package javafx.css

## Class SimpleStyleableBooleanProperty

- java.lang.Object
- - javafx.beans.binding.BooleanExpression
  - - javafx.beans.property.ReadOnlyBooleanProperty
    - - javafx.beans.property.BooleanProperty
      - - javafx.beans.property.BooleanPropertyBase
        - - javafx.css.StyleableBooleanProperty
          - - javafx.css.SimpleStyleableBooleanProperty

- All Implemented Interfaces:
    `Observable`, `Property<Boolean>`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`, `WritableBooleanValue`, `WritableValue<Boolean>`, `StyleableProperty<Boolean>`

      public class SimpleStyleableBooleanProperty
      extends StyleableBooleanProperty

  This class extends `SimpleBooleanProperty` and provides a full implementation of a `StyleableProperty`. This class is used to make a `BooleanProperty`, that would otherwise be implemented as a `SimpleBooleanProperty`, styleable by CSS.
  Since:
    JavaFX 8.0
  See Also:
    `SimpleBooleanProperty`, `CssMetaData`, `StyleableProperty`, `StyleableBooleanProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData)` | The constructor of the `SimpleStyleableBooleanProperty`.
    `SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData, boolean initialValue)` | The constructor of the `SimpleStyleableBooleanProperty`.
    `SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData, Object bean, String name)` | The constructor of the `SimpleStyleableBooleanProperty`.
    `SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData, Object bean, String name, boolean initialValue)` | The constructor of the `SimpleStyleableBooleanProperty`.

  - ### Method Summary

    - ### Methods declared in class javafx.beans.property.BooleanPropertyBase

      `bind, fireValueChangedEvent, invalidated, toString`

    - ### Methods declared in class javafx.beans.property.BooleanProperty

      `asObject, booleanProperty`

    - ### Methods declared in class javafx.beans.property.ReadOnlyBooleanProperty

      `readOnlyBooleanProperty`

    - ### Methods declared in class javafx.beans.binding.BooleanExpression

      `and, asString, booleanExpression, booleanExpression, isEqualTo, isNotEqualTo, not, or`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableBooleanValue

      `get`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface javafx.css.StyleableProperty

      `applyStyle, getCssMetaData, getStyleOrigin`

    - ### Methods declared in interface javafx.beans.value.WritableBooleanValue

      `get, set, setValue`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### SimpleStyleableBooleanProperty

          public SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData)

      The constructor of the `SimpleStyleableBooleanProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`

    - #### SimpleStyleableBooleanProperty

          public SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData,
                                                boolean initialValue)

      The constructor of the `SimpleStyleableBooleanProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
        `initialValue` - the initial value of the wrapped `Object`

    - #### SimpleStyleableBooleanProperty

          public SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData,
                                                Object bean,
                                                String name)

      The constructor of the `SimpleStyleableBooleanProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
        `bean` - the bean of this `BooleanProperty`
        `name` - the name of this `BooleanProperty`

    - #### SimpleStyleableBooleanProperty

          public SimpleStyleableBooleanProperty​(CssMetaData<? extends Styleable,​Boolean> cssMetaData,
                                                Object bean,
                                                String name,
                                                boolean initialValue)

      The constructor of the `SimpleStyleableBooleanProperty`.
      Parameters:
        `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
        `bean` - the bean of this `BooleanProperty`
        `name` - the name of this `BooleanProperty`
        `initialValue` - the initial value of the wrapped `Object`